Skip to content

Conversion GET

URL: https://api.painelalter.com/api/conversion?dateBegin=today&dateEnd=today&eventType=11

Returns traffic and sales data grouped by day and by store.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)
eventTypeID of the event type to be retrieved (1 = entry flow)

Event Type IDs Table

EventTypeDescription
1Entry Flow
2Exit Flow
3Checkout Stop
4External Flow Left
5External Flow Right
6Employee Entry
7Employee Exit
8Vehicle Entry
9Vehicle Exit
10In-store Flow
11Group Entry

Response Example

json
[
  {
    "store": "01",
    "uptime": 1,
    "localDate": "2024-05-15",
    "visitors": 162,
    "nbSales": 70,
    "totalSales": 9735
  },
  {
    "store": "02",
    "uptime": 0.9935,
    "localDate": "2024-05-15",
    "visitors": 169,
    "nbSales": 61,
    "totalSales": 7924
  },
  {
    "store": "03",
    "uptime": 0.99,
    "localDate": "2024-05-15",
    "visitors": 176,
    "nbSales": 71,
    "totalSales": 8782
  },
  {
    "store": "04",
    "uptime": 0.9914,
    "localDate": "2024-05-15",
    "visitors": 194,
    "nbSales": 91,
    "totalSales": 9903
  }
]